Subject: Re: [PATCHv2 2/3] ep8248e: Reference SMC parameter RAM base in the device tree.

From: Scott Wood <[email-masked]>
Date: Fri, 28 Mar 2008 12:11:26 -0500

Laurent Pinchart wrote:
> Locating the end of the muram isn't as straightforward as it could be. As the 
> current code already uses the beginning of the muram to store the BDs and 
> data buffers, should I really bother locating the end or can I store the SMC 
> parameter ram at the beginning as well ?

Maybe, but the end would be safer.  What's the problem with finding the 
end?  Even the end of the first reg resource would be OK.

> If I'm not mistaken, once the SMC parameter ram gets relocated to the 
> beginning/end of the muram, the boot loader preallocated space can be 
> reclaimed and can be added to the muram in the device tree like I did in my 
> previous patch. Is that correct ?

Yes.

-Scott